### Constructor

# Dex Promise new_cancellable

#### Declaration [src]

    DexPromise*
    dex_promise_new_cancellable (
      void
    )

#### Description [src]

Creates a new `DexPromise` that can propagate cancellation if the promise is discarded.

This can be used to plumb cancellation between promises and `GAsyncReadyCallback` based APIs.

#### Return value

Type: `DexPromise`

A `DexPromise`.

The caller of the function takes ownership of the data, and is responsible for freeing it.